import { h as hu } from "./codemirror.es2-DH2syXui.js";
import { j } from "./matchbrackets.es2-CYFGpb2Z.js";
var f = Object.defineProperty;
var s = (e, o) => f(e, "name", { value: o, configurable: true });
function p(e, o) {
  for (var a = 0; a < o.length; a++) {
    const t = o[a];
    if (typeof t != "string" && !Array.isArray(t)) {
      for (const r in t)
        if (r !== "default" && !(r in e)) {
          const c = Object.getOwnPropertyDescriptor(t, r);
          c && Object.defineProperty(e, r, c.get ? c : {
            enumerable: true,
            get: () => t[r]
          });
        }
    }
  }
  return Object.freeze(Object.defineProperty(e, Symbol.toStringTag, { value: "Module" }));
}
s(p, "_mergeNamespaces");
var n = j();
const u = /* @__PURE__ */ hu(n), y = /* @__PURE__ */ p({
  __proto__: null,
  default: u
}, [n]);
export {
  y as m
};
